Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 15 Nov 2022 12:19:49 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear All,

With reference to my order 9594689440, note that I am waiting for my delivery since yesterday, however, when I followed they told the mobile number is wrong and even raised it to customer service via phone and whatsapp but no one can help and told me to wait, on how long, no one can also inform.

How can it be possible that my mobile number is wrong but when I checked my account, it is correct? 

Nonetheless, let me know when can I expect the delivery or if I can pick it up from Mall of Emirates tomorrow!
Need an urgent response on this!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5244706